Bug 59321 - Windows installer visibly escapes double quotes
Summary: Windows installer visibly escapes double quotes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-13 14:38 UTC by Mihkel Tõnnov
Modified: 2013-02-11 01:07 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mihkel Tõnnov 2013-01-13 14:38:17 UTC
When using quote marks in translation (e.g. when referring to buttons in text), the Windows installer escapes them visibly, i.e. shows \" instead of just ".

I went around the problem for now by replacing the straight quotes with the curly ones in translation of "instsetoo_native", but this should be fixed nonetheless.
Comment 1 Not Assigned 2013-01-16 16:19:45 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05923e058a6b90f05c90d5f9aef4de58233a51ac

fdo#59321 un-escape quotes in Windows Installer's idt files



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Not Assigned 2013-01-17 09:58:27 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f186fe6ea1808d3b75476efc7f490ea9ab510e4f&h=libreoffice-4-0

fdo#59321 un-escape quotes in Windows Installer's idt files


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.